<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>ProtocolStatus (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProtocolStatus (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ProtocolStatus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/protocol/ProtocolStatus.html" target="_top">Frames</a></li>
<li><a href="ProtocolStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol</div>
<h2 title="Class ProtocolStatus" class="title">Class ProtocolStatus</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.ProtocolStatus</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ProtocolStatus</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Andrzej Bialecki</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ACCESS_DENIED">ACCESS_DENIED</a></span></code>
<div class="block">Access denied - authorization required, but missing/incorrect.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#BLOCKED">BLOCKED</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#EXCEPTION">EXCEPTION</a></span></code>
<div class="block">Unspecified exception occurred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#FAILED">FAILED</a></span></code>
<div class="block">Content was not retrieved.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#GONE">GONE</a></span></code>
<div class="block">Resource is gone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#MOVED">MOVED</a></span></code>
<div class="block">Resource has moved permanently.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#NOTFETCHING">NOTFETCHING</a></span></code>
<div class="block">Not fetching.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#NOTFOUND">NOTFOUND</a></span></code>
<div class="block">Resource was not found.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#NOTMODIFIED">NOTMODIFIED</a></span></code>
<div class="block">Unchanged since the last fetch.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#PROTO_NOT_FOUND">PROTO_NOT_FOUND</a></span></code>
<div class="block">This protocol was not found.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#REDIR_EXCEEDED">REDIR_EXCEEDED</a></span></code>
<div class="block">Too many redirects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#RETRY">RETRY</a></span></code>
<div class="block">Temporary failure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ROBOTS_DENIED">ROBOTS_DENIED</a></span></code>
<div class="block">Access denied by robots.txt rules.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_BLOCKED">STATUS_BLOCKED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_FAILED">STATUS_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_GONE">STATUS_GONE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTFETCHING">STATUS_NOTFETCHING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTFOUND">STATUS_NOTFOUND</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_NOTMODIFIED">STATUS_NOTMODIFIED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_REDIR_EXCEEDED">STATUS_REDIR_EXCEEDED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_RETRY">STATUS_RETRY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_ROBOTS_DENIED">STATUS_ROBOTS_DENIED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_SUCCESS">STATUS_SUCCESS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#STATUS_WOULDBLOCK">STATUS_WOULDBLOCK</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#SUCCESS">SUCCESS</a></span></code>
<div class="block">Content was retrieved without errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#TEMP_MOVED">TEMP_MOVED</a></span></code>
<div class="block">Resource has moved temporarily.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#WOULDBLOCK">WOULDBLOCK</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus--">ProtocolStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-">ProtocolStatus</a></span>(int&nbsp;code)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-long-">ProtocolStatus</a></span>(int&nbsp;code,
              long&nbsp;lastModified)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-java.lang.Object-">ProtocolStatus</a></span>(int&nbsp;code,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;message)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-java.lang.Object-long-">ProtocolStatus</a></span>(int&nbsp;code,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;message,
              long&nbsp;lastModified)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-java.lang.String:A-">ProtocolStatus</a></span>(int&nbsp;code,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-int-java.lang.String:A-long-">ProtocolStatus</a></span>(int&nbsp;code,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args,
              long&nbsp;lastModified)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#ProtocolStatus-java.lang.Throwable-">ProtocolStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;t)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#getArgs--">getArgs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#getCode--">getCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#getLastModified--">getLastModified</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#getMessage--">getMessage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#isPermanentFailure--">isPermanentFailure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#isRedirect--">isRedirect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#isSuccess--">isSuccess</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#isTransientFailure--">isTransientFailure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#read-java.io.DataInput-">read</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#readFields-java.io.DataInput-">readFields</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#setArgs-java.lang.String:A-">setArgs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#setCode-int-">setCode</a></span>(int&nbsp;code)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#setLastModified-long-">setLastModified</a></span>(long&nbsp;lastModified)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#setMessage-java.lang.String-">setMessage</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html#write-java.io.DataOutput-">write</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SUCCESS</h4>
<pre>public static final&nbsp;int SUCCESS</pre>
<div class="block">Content was retrieved without errors.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.SUCCESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED</h4>
<pre>public static final&nbsp;int FAILED</pre>
<div class="block">Content was not retrieved. Any further errors may be indicated in args.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROTO_NOT_FOUND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTO_NOT_FOUND</h4>
<pre>public static final&nbsp;int PROTO_NOT_FOUND</pre>
<div class="block">This protocol was not found. Application may attempt to retry later.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.PROTO_NOT_FOUND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GONE</h4>
<pre>public static final&nbsp;int GONE</pre>
<div class="block">Resource is gone.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.GONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MOVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MOVED</h4>
<pre>public static final&nbsp;int MOVED</pre>
<div class="block">Resource has moved permanently. New url should be found in args.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.MOVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TEMP_MOVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMP_MOVED</h4>
<pre>public static final&nbsp;int TEMP_MOVED</pre>
<div class="block">Resource has moved temporarily. New url should be found in args.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.TEMP_MOVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NOTFOUND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTFOUND</h4>
<pre>public static final&nbsp;int NOTFOUND</pre>
<div class="block">Resource was not found.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.NOTFOUND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RETRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RETRY</h4>
<pre>public static final&nbsp;int RETRY</pre>
<div class="block">Temporary failure. Application may retry immediately.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.RETRY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCEPTION</h4>
<pre>public static final&nbsp;int EXCEPTION</pre>
<div class="block">Unspecified exception occurred. Further information may be provided in args.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.EXCEPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACCESS_DENIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCESS_DENIED</h4>
<pre>public static final&nbsp;int ACCESS_DENIED</pre>
<div class="block">Access denied - authorization required, but missing/incorrect.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.ACCESS_DENIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ROBOTS_DENIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROBOTS_DENIED</h4>
<pre>public static final&nbsp;int ROBOTS_DENIED</pre>
<div class="block">Access denied by robots.txt rules.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.ROBOTS_DENIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REDIR_EXCEEDED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REDIR_EXCEEDED</h4>
<pre>public static final&nbsp;int REDIR_EXCEEDED</pre>
<div class="block">Too many redirects.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.REDIR_EXCEEDED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NOTFETCHING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTFETCHING</h4>
<pre>public static final&nbsp;int NOTFETCHING</pre>
<div class="block">Not fetching.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.NOTFETCHING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NOTMODIFIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTMODIFIED</h4>
<pre>public static final&nbsp;int NOTMODIFIED</pre>
<div class="block">Unchanged since the last fetch.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.NOTMODIFIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WOULDBLOCK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WOULDBLOCK</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static final&nbsp;int WOULDBLOCK</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Request was refused by protocol plugins, because it would block. The
 expected number of milliseconds to wait before retry may be provided in
 args.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.WOULDBLOCK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLOCKED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOCKED</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static final&nbsp;int BLOCKED</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Thread was blocked http.max.delays times during fetching.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.protocol.ProtocolStatus.BLOCKED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_SUCCESS</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_SUCCESS</pre>
</li>
</ul>
<a name="STATUS_FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_FAILED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_FAILED</pre>
</li>
</ul>
<a name="STATUS_GONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_GONE</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_GONE</pre>
</li>
</ul>
<a name="STATUS_NOTFOUND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTFOUND</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_NOTFOUND</pre>
</li>
</ul>
<a name="STATUS_RETRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_RETRY</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_RETRY</pre>
</li>
</ul>
<a name="STATUS_ROBOTS_DENIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_ROBOTS_DENIED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_ROBOTS_DENIED</pre>
</li>
</ul>
<a name="STATUS_REDIR_EXCEEDED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_REDIR_EXCEEDED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_REDIR_EXCEEDED</pre>
</li>
</ul>
<a name="STATUS_NOTFETCHING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTFETCHING</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_NOTFETCHING</pre>
</li>
</ul>
<a name="STATUS_NOTMODIFIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTMODIFIED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_NOTMODIFIED</pre>
</li>
</ul>
<a name="STATUS_WOULDBLOCK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_WOULDBLOCK</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_WOULDBLOCK</pre>
</li>
</ul>
<a name="STATUS_BLOCKED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATUS_BLOCKED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a> STATUS_BLOCKED</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ProtocolStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus()</pre>
</li>
</ul>
<a name="ProtocolStatus-int-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
</li>
</ul>
<a name="ProtocolStatus-int-java.lang.String:A-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args,
                      long&nbsp;lastModified)</pre>
</li>
</ul>
<a name="ProtocolStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code)</pre>
</li>
</ul>
<a name="ProtocolStatus-int-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code,
                      long&nbsp;lastModified)</pre>
</li>
</ul>
<a name="ProtocolStatus-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;message)</pre>
</li>
</ul>
<a name="ProtocolStatus-int-java.lang.Object-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(int&nbsp;code,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;message,
                      long&nbsp;lastModified)</pre>
</li>
</ul>
<a name="ProtocolStatus-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ProtocolStatus</h4>
<pre>public&nbsp;ProtocolStatus(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;t)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="read-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public static&nbsp;<a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol">ProtocolStatus</a>&nbsp;read(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="readFields-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFields</h4>
<pre>public&nbsp;void&nbsp;readFields(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#readFields-java.io.DataInput-" title="class or interface in org.apache.hadoop.io">readFields</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="write-java.io.DataOutput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#write-java.io.DataOutput-" title="class or interface in org.apache.hadoop.io">write</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="setArgs-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;void&nbsp;setArgs(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
</li>
</ul>
<a name="getArgs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getArgs()</pre>
</li>
</ul>
<a name="getCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCode</h4>
<pre>public&nbsp;int&nbsp;getCode()</pre>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
</li>
</ul>
<a name="setCode-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCode</h4>
<pre>public&nbsp;void&nbsp;setCode(int&nbsp;code)</pre>
</li>
</ul>
<a name="isSuccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSuccess</h4>
<pre>public&nbsp;boolean&nbsp;isSuccess()</pre>
</li>
</ul>
<a name="isTransientFailure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTransientFailure</h4>
<pre>public&nbsp;boolean&nbsp;isTransientFailure()</pre>
</li>
</ul>
<a name="isPermanentFailure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPermanentFailure</h4>
<pre>public&nbsp;boolean&nbsp;isPermanentFailure()</pre>
</li>
</ul>
<a name="isRedirect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRedirect</h4>
<pre>public&nbsp;boolean&nbsp;isRedirect()</pre>
</li>
</ul>
<a name="getMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMessage()</pre>
</li>
</ul>
<a name="setMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMessage</h4>
<pre>public&nbsp;void&nbsp;setMessage(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</pre>
</li>
</ul>
<a name="getLastModified--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastModified</h4>
<pre>public&nbsp;long&nbsp;getLastModified()</pre>
</li>
</ul>
<a name="setLastModified-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastModified</h4>
<pre>public&nbsp;void&nbsp;setLastModified(long&nbsp;lastModified)</pre>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ProtocolStatus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/protocol/ProtocolStatus.html" target="_top">Frames</a></li>
<li><a href="ProtocolStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
